Loading...
Searching...
No Matches
LAP::TabRow Struct Reference

`#include <CglLandPTabRow.hpp>`

Inheritance diagram for LAP::TabRow:
[legend]
Collaboration diagram for LAP::TabRow:
[legend]

## Public Member Functions

| TabRow ()
| TabRow (const CglLandPSimplex *si)
| TabRow (const TabRow &source)
TabRow & | operator= (const TabRow &r)
bool | operator== (const TabRow &r) const
| ~TabRow ()
void | modularize (const bool *integerVar)
void | print (std::ostream &os, int width=9, const int *nonBasics=NULL, int m=0)
const double & | operator[] (const int &index) const
double & | operator[] (const int &index)

## Public Attributes

int | num
| Row number.
double | rhs
| Row right-hand-side.
const CglLandPSimplex * | si_
| Row of what?
bool | modularized_
| Flag to say if row is modularized.

## Detailed Description

Definition at line 21 of file CglLandPTabRow.hpp.

## Constructor & Destructor Documentation

## TabRow() [1/3]

LAP::TabRow::TabRow | ( |  | ) |

inline

Definition at line 33 of file CglLandPTabRow.hpp.

## TabRow() [2/3]

LAP::TabRow::TabRow | ( | const CglLandPSimplex * | si | ) |

inline

Definition at line 36 of file CglLandPTabRow.hpp.

## TabRow() [3/3]

LAP::TabRow::TabRow | ( | const TabRow & | source | ) |

inline

Definition at line 39 of file CglLandPTabRow.hpp.

## ~TabRow()

LAP::TabRow::~TabRow | ( |  | ) |

inline

Definition at line 57 of file CglLandPTabRow.hpp.

## Member Function Documentation

## operator=()

TabRow & LAP::TabRow::operator= | ( | const TabRow & | r | ) |

inline

Definition at line 44 of file CglLandPTabRow.hpp.

## operator==()

bool LAP::TabRow::operator== | ( | const TabRow & | r | ) | const

## modularize()

void LAP::TabRow::modularize | ( | const bool * | integerVar | ) |

## print()

void LAP::TabRow::print | ( | std::ostream & | os,
|  | int | width = 9,
|  | const int * | nonBasics = NULL,
|  | int | m = 0 )

## operator[]() [1/2]

const double & LAP::TabRow::operator[] | ( | const int & | index | ) | const

inline

Definition at line 66 of file CglLandPTabRow.hpp.

## operator[]() [2/2]

double & LAP::TabRow::operator[] | ( | const int & | index | ) |

inline

Definition at line 72 of file CglLandPTabRow.hpp.

## Member Data Documentation

## num

int LAP::TabRow::num

Row number.

Definition at line 24 of file CglLandPTabRow.hpp.

## rhs

double LAP::TabRow::rhs

Row right-hand-side.

Definition at line 26 of file CglLandPTabRow.hpp.

## si_

const CglLandPSimplex* LAP::TabRow::si_

Row of what?

Definition at line 28 of file CglLandPTabRow.hpp.

## modularized_

bool LAP::TabRow::modularized_

Flag to say if row is modularized.

Definition at line 31 of file CglLandPTabRow.hpp.

The documentation for this struct was generated from the following file:

- Cgl/src/CglLandP/CglLandPTabRow.hpp